# This is a hook into Dragonfly's ImageMagick processor class
# It makes sure quality is 100 for thumbnail generation

require 'dragonfly'

module Dragonfly
  module ImageMagick
    class Processor
      
      def convert(temp_object, args='', format=nil)
        args = "#{args} -quality 100" unless args.blank?
        format ? [super, {:format => format.to_sym}] : super
      end

    end
  end
end